MLAPI API Reference

# MessageChunker
HasDuplicates Method

[This is preliminary documentation and is subject to change.]

Checks if a list of chunks have any duplicates inside of it

Namespace: MLAPI.NetworkingManagerComponents.Binary
Assembly: MLAPI (in MLAPI.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
Copy

    public static bool HasDuplicates(
    	ref List<byte[]> chunks,
    	uint expectedChunksCount
    )

Request Example
View Source

#### Parameters

chunks
  Type: System.Collections.Generic
  List
  Byte
  The list of chunks
expectedChunksCount
  Type: System
  UInt32
  The expected amount of chunks

#### Return Value

Type: Boolean
If a list of chunks has duplicate chunks in it
See Also

#### Reference

MessageChunker Class
MLAPI.NetworkingManagerComponents.Binary Namespace